package com.example.nto.dto.mappers;

import com.example.nto.domain.entity.Position;
import com.example.nto.dto.entity.PositionDTO;
import com.example.nto.dto.mappers.employee.EmployeeItemMapper;
import lombok.experimental.UtilityClass;

import java.util.stream.Collectors;

@UtilityClass
public class PositionMapper {
    public static PositionDTO convertToDTO(Position position) {
        PositionDTO positionDTO = new PositionDTO();

        positionDTO.setId(position.getId());
        positionDTO.setName(position.getName());
        positionDTO.setEmployeeItemDTOList(position.getEmployees().stream().map(EmployeeItemMapper::convertToDTO).collect(Collectors.toList()));

        return positionDTO;
    }
}