package com.example.nto.dto.entity.employee;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EmployeeItemDTO {
    private long id;
    private String name;
    private String surname;
    private String patronymic;
    private String profileImageUrl;
    private boolean isBlocked;

    private String officeName;
    private String position; // Название должности

    // Текущее состояние входа: false - visit (посещение) ещё не началось, true - visit идёт
    private boolean visitStatus;
}
