package com.example.nto.service;

import com.example.nto.dto.entity.OfficeDTO;

import java.util.List;

public interface OfficeService {
    List<OfficeDTO> getAllOffice();
    List<OfficeDTO> getAllSortedDistance(double userLatitude, double userLongitude);
    OfficeDTO getById(long officeId);

    OfficeDTO create(OfficeDTO officeDTO);
    OfficeDTO update(long officeId, OfficeDTO officeDTO);
    void delete(long officeId);
}
